summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorMatthias Beyer <mail@beyermatthias.de>2018-04-20 09:35:16 +0200
committerMatthias Beyer <mail@beyermatthias.de>2018-04-20 09:35:16 +0200
commitd7ba28d5ac1bb14d3f4bbbaccb398a89a692a4b5 (patch)
tree694827e9c8b03a3d0abfb66bbab4b3808a971e35 /scripts
parentd08a5ab536d13f3983f87be8fe47c1a1d2fdb4ce (diff)
Add script to print changelog for a specific range
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/changelog12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/changelog b/scripts/changelog
new file mode 100755
index 00000000..04969305
--- /dev/null
+++ b/scripts/changelog
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+if [[ -z "$1" ]]; then
+ echo "No rev list given"
+ exit 1
+fi
+
+for rev in $(git rev-list $1); do
+ if git notes --ref=changelog list $rev &> /dev/null; then
+ git log -n 1 --show-notes=* --pretty="format:* %N" $rev
+ fi
+done